Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Install gcc-4.9.3 on CentOS 6
yum install libmpc-devel mpfr-devel gmp-devel
cd /usr/src/
curl ftp://ftp.mirrorservice.org/sites/sourceware.org/pub/gcc/releases/gcc-4.9.3/gcc-4.9.3.tar.bz2 -O
tar xvfj gcc-4.9.3.tar.bz2
cd gcc-4.9.3
./configure --disable-multilib --enable-languages=c,c++
make -j `grep processor /proc/cpuinfo | wc -l`
make install
@monteiz
Copy link

monteiz commented Mar 4, 2018

In some systems, the command:

./configure --disable-multilib --enable-languages=c,c++

might block giving the error:

Building GCC requires GMP 4.2+, MPFR 2.3.1+ and MPC 0.8.0+

To solve this, just run (in the same dir) the command:

./contrib/download_prerequisites

and then continue with the installation.

@myanuarary
Copy link

myanuarary commented Mar 15, 2018

tar xvfj gcc-4.9.3.tar.bz2 -> tar xjvf gcc-4.9.3.tar.bz2

@yadav26
Copy link

yadav26 commented Jul 1, 2018

Great steps illustration, built at once.

@Tapan
Copy link

Tapan commented Aug 3, 2018

Thanks for the help 👍

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment